/* 
 * Thomas Pantzer: xdemo_cb.cc, v0.4.7  8.6.99 16:32 
 * 
 * 
 * Copyright 1999 by Thomas Pantzer
 * 
 * Permission to use, copy, modify, and distribute this software for noncommercial 
 * use and without fee is hereby granted, provided that the above copyright notice 
 * appear in all copies and that both that copyright notice and this permission 
 * notice appear in supporting documentation, and that the name of the Author not be 
 * used in advertising or publicity pertaining to distribution of the software 
 * without specific, written prior permission. The Author makes no representations about
 * the suitability of this software for any purpose.  It is provided "as is" 
 * without expressed or implied warranty. 
 * 
 * 
 * pantec@isys2.informatik.uni-leipzig.de   (Thomas Pantzer) 
 * 
 */

#include "copyright.h"


#include "forms.h"
#include "xdemo.h"
#include "user.h"
#include "new_panel.h"

/* callbacks for form test */
void demo_slider_cb(FL_OBJECT *ob, long data)
{
    switch(fl_mouse_button())
      {
       case FL_MIDDLE_MOUSE:	
  	 break;

       case FL_RIGHTMOUSE: 
	 slider_cb(ob,data);
	 break;

       case FL_LEFTMOUSE:
	 Callbacks.do_slider(ob,data); 
         break;
      }
}

void demo_button_cb(FL_OBJECT *ob, long data)
{
  /* fill-in code for callback */
	Callbacks.do_button(ob,data); 
}

void demo_choice_cb(FL_OBJECT *ob, long data)
{
  /* fill-in code for callback */
	Callbacks.do_choice(ob,data); 
}










/**/
/**/
/**/
/**/
/**/
/**/
/**/
/**/
/*****  End Of File  ****************************/
